---
title: Update identifier metadata
slug: data-platform/api/update-identifier-metadata
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "J3C-tLjxtlTFkLQATTrJ3",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.us1.odp.optimizely.com/v3/identifiers",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/identifiers",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/identifiers",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/identifiers",
        "description": "Asia-Pacific"
      }
    ],
    "name": "Update identifier metadata",
    "description": "Update metadata for an identifier.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "",
          "customType": "UpdateIdentifier[]",
          "schema": [
            {
              "name": "identifier_value",
              "kind": "required",
              "type": "string",
              "description": "<p>Any valid identifier of this type (for example, <a href=\"mailto:test@optimizely.com\" target=\"_blank\">test@optimizely.com</a>).</p>"
            },
            {
              "name": "identifier_field_name",
              "kind": "required",
              "type": "string",
              "description": "<p>The field name for the identifier you want to update (for example, email).</p>"
            },
            {
              "name": "metadata",
              "kind": "optional",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "object",
              "customType": "object[]",
              "schema": []
            }
          ],
          "modelRef": "#/components/schemas/UpdateIdentifier",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "Accepted",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\n  \"title\": \"Accepted\",\n  \"status\": 202,\n  \"timestamp\": \"2019-07-30T23:55:00.519Z\"\n}\n",
            "description": "",
            "customType": "IdentifierCreated",
            "schema": [
              {
                "name": "events",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "event_facebook_messenger_id"
                  },
                  {
                    "name": "display_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Event Facebook Messenger ID"
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "identifier"
                  }
                ]
              },
              {
                "name": "customers",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "facebook_messenger_id"
                  },
                  {
                    "name": "display_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Last Seen Facebook Messenger ID"
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "identifier"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/IdentifierCreated",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "Error",
            "schema": [
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Bad Request"
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 400,
                "default": 0
              },
              {
                "name": "timestamp",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "2018-08-07T13:44:17.659Z"
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "invalids",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "field",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "name"
                      },
                      {
                        "name": "reason",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "already used by another object"
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "gwiHq3SNMOBebUvTBGRW6",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.us1.odp.optimizely.com/v3/identifiers \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '[\n     {\n     \"identifier_value\": \"\",\n     \"identifier_field_name\": \"\"\n     }\n     ]'"
        },
        {
          "id": "WAd3R6XDNEqwbKnrJwxwI",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify([\n   {\n      \"identifier_value\": \"\",\n      \"identifier_field_name\": \"\"\n   }\n]);\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/identifiers\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "cQ8vmFUZVCfeyZIb9qO1k",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/identifiers\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump([\n   {\n      \"identifier_value\": \"\",\n      \"identifier_field_name\": \"\"\n   }\n])\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "HbeeuNmSiws9U8b63nsYP",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/identifiers\"\n\npayload = json.dumps([\n   {\n      \"identifier_value\": \"\",\n      \"identifier_field_name\": \"\"\n   }\n])\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "gwiHq3SNMOBebUvTBGRW6"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-202",
          "language": "202",
          "code": "// Accepted\n{\n  \"events\": [\n    {\n      \"name\": \"event_facebook_messenger_id\",\n      \"display_name\": \"Event Facebook Messenger ID\",\n      \"type\": \"identifier\"\n    }\n  ],\n  \"customers\": [\n    {\n      \"name\": \"facebook_messenger_id\",\n      \"display_name\": \"Last Seen Facebook Messenger ID\",\n      \"type\": \"identifier\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n{\n  \"title\": \"Bad Request\",\n  \"status\": 400,\n  \"timestamp\": \"2018-08-07T13:44:17.659Z\",\n  \"detail\": {\n    \"invalids\": [\n      {\n        \"field\": \"name\",\n        \"reason\": \"already used by another object\"\n      }\n    ]\n  }\n}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-202"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}